Bug 848509 - arecord on HP Elitebook 8470P fails
arecord on HP Elitebook 8470P fails
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: alsa-lib (Show other bugs)
5.9
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jaroslav Kysela
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-15 15:28 EDT by Arthur Benoit
Modified: 2014-01-29 04:42 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-29 04:42:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from utils_alsa-info (28.32 KB, text/plain)
2012-08-15 15:28 EDT, Arthur Benoit
no flags Details

  None (edit)
Description Arthur Benoit 2012-08-15 15:28:14 EDT
Created attachment 604675 [details]
Output from utils_alsa-info

Description of problem:
I attempted to capture audio from my mic using the following command:
arecord -f dat -d 10 foo3.wav the file is created, but aplay foo3.wav outputs no sound. 

Version-Release number of selected component (if applicable):
RHEL 5.9

How reproducible:
Always

Steps to Reproduce:
1. Run arecord -f dat -d 10 somefile.wav
2. Run aplay somefile.wav
  
Actual results:
No sound is output

Expected results:
Expcet to hear sound

Additional info:
attached utils_alsa-info
Comment 1 Jaroslav Kysela 2012-08-16 03:37:41 EDT
Try to unmute the 'Capture' control, also, volume for the internal mic may be increased using 'Internal Mic' controls.
Comment 2 Arthur Benoit 2012-08-16 12:55:00 EDT
I unmutted the mic and things are better. Is there any work being done to get some standard sound options to be set the same way for all cards during the initial insall? It seems like any sound option (like capture) of a card should get a default configuration setting. This would make our default sound values more predictable no matter which vendor/adapter we configure.
Comment 3 Arthur Benoit 2012-11-12 17:06:24 EST
I tried changing the capture and volume settings which at low volume help, but there is still a severe amount of static captured when recording on this laptop.
Comment 4 Jaroslav Kysela 2014-01-29 04:42:52 EST
(In reply to Arthur Benoit from comment #2)
> I unmutted the mic and things are better. Is there any work being done to
> get some standard sound options to be set the same way for all cards during
> the initial insall? It seems like any sound option (like capture) of a card
> should get a default configuration setting. This would make our default
> sound values more predictable no matter which vendor/adapter we configure.

Things are improved in RHEL6. The RHEL5 contains alsaunmute and there were different rules to set the initial valume levels.

Note You need to log in before you can comment on or make changes to this bug.